## octave-datatypes 1.1.9

=== DESCRIPTION ===
Name: datatypes
Version: 1.1.9
Date: 2026-02-28
Author: Andreas Bertsatos
Maintainer: Andreas Bertsatos <abertsatos@biol.uoa.gr>
Title: Data Types for GNU Octave
Description: A package for providing extra data types
 and related functionality for GNU Octave.
Categories: Datatypes
Depends: octave (>= 9.1.0)
Url: https://github.com/pr0m1th3as/datatypes
Tracker: https://github.com/pr0m1th3as/datatypes/issues

=== src/Makefile ===
# Makefile for compiling required oct files

TARGET_OS ?= $(OS)
ifeq ($(TARGET_OS),Windows_NT)
	LIBS = -lole32
else
	LIBS =
endif

LDFLAGS += $(LIBS)

TZFLAGS = -DHAS_REMOTE_API=0

all:
	$(MKOCTFILE)       '-I ./date'  __datetime__.cc tz.cpp $(TZFLAGS) $(LDFLAGS)
	$(MKOCTFILE)       __table2csv__.cc $(LDFLAGS)
	$(MKOCTFILE)       __csv2table__.cc $(LDFLAGS)
	$(MKOCTFILE)       __ckeyHash__.cc $(LDFLAGS)
	$(MKOCTFILE)       __nkeyHash__.cc $(LDFLAGS)

## octave-datatypes 1.0.7

=== debian/changelog ===
octave-datatypes (1.0.7-1) unstable; urgency=low

  * Initial release (closes: #1122047)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Dec 2025 08:35:32 -0300

=== debian/control ===
Source: octave-datatypes
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 1.13.1),
               dh-sequence-octave
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/datatypes/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-datatypes.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-datatypes
Testsuite: autopkgtest-pkg-octave

Package: octave-datatypes
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: extra data types for GNU Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-datatypes 1.1.2

=== debian/changelog ===
octave-datatypes (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
  * d/p/fix-spell.patch: Drop patch (applied upstream)
  * d/p/use-os-tz-database.patch: Refresh for new upstream version
  * d/s/lintian-overrides: Drop override for Lintian warning
    very-long-line-length-in-source-file.
    The README.md file is not in the upstream tarball anymore.
  * d/copyright: Add copyright info for doc/datatypes.png
  * d/p/use-os-tz-database.patch: New patch
  * d/control:
    + Build-depend on tzdata
    + Bump the build-dependency dh-octave >= 1.13.2
  * d/salsa-ci.yml: Change the pipeline, as required by "Gateway to NEW"

 -- Rafael Laboissière <rafael@debian.org>  Tue, 09 Dec 2025 13:02:02 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.13.1),
-               dh-sequence-octave
+               dh-octave (>= 1.13.2),
+               dh-sequence-octave,
+               tzdata <!nocheck>
 Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/datatypes/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-datatypes.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OCTAVE_KEEP_DOC = datatypes.png

%:
	dh $@ --buildsystem=octave

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/datatypes/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/datatypes-@ANY_VERSION@@ARCHIVE_EXT@

## octave-datatypes 1.1.8

=== debian/changelog ===
octave-datatypes (1.1.8-2) unstable; urgency=medium

  * d/p/exclude-tests-dir-from-path.patch: New patch (Closes: #1128470)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 Feb 2026 13:41:03 +0000

octave-datatypes (1.1.8-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 1.1.8
  * Adapt for new upstream release location
    + d/watch: Use the GitHub template
    + d/s/lintian-override: Drop obsolete override for
      debian-watch-lacks-sourceforge-redirector
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)
  * d/p/use-os-tz-database.patch: Drop patch (upstream has a better solution)

  [ Sébastien Villemot ]
  * Add myself to Uploaders

 -- Rafael Laboissière <rafael@debian.org>  Sun, 22 Feb 2026 19:43:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: octave-datatypes
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissière <rafael@debian.org>
+Uploaders: Rafael Laboissière <rafael@debian.org>,
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.13.2),
                dh-sequence-octave,
                tzdata <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/datatypes/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-datatypes.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-datatypes

=== debian/watch ===
Version: 5

Template: GitHub
Owner: pr0m1th3as
Project: datatypes

## octave-datatypes 1.1.9

=== debian/changelog ===
octave-datatypes (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9

 -- Rafael Laboissière <rafael@debian.org>  Sun, 01 Mar 2026 16:17:12 +0000
